For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve New Project Members
      • GETRetrieve Projects the user is a member of
      • GETRetrieve Project Members
      • PUTUpdate A List Of User Project Membership
      • GETRetrieve User Project Membership
      • POSTCreate User Project Membership
      • PUTUpdate User Project Membership
      • DELRemove User Project Membership
      • POSTAdd all active people on a business team to a project.
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Members

Retrieve New Project Members

GET
https://api.projectmanager.com/api/data/projects/members
GET
/api/data/projects/members
$curl https://api.projectmanager.com/api/data/projects/members \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "projectId": "string",
17 "initials": "string",
18 "name": "string",
19 "avatarUrl": "string",
20 "permission": "string",
21 "color": "string",
22 "permissionOptions": {
23 "none": true,
24 "collaborate": true,
25 "guest": true,
26 "editor": true,
27 "manager": true
28 },
29 "role": "string"
30 }
31 ]
32}
Returns a list of users that can be added as members of a new project, as well as their available project security roles. A project member is a user who has access to a specific project. Project members are assigned a project security role, which controls the level of access they have to the project. Possible project security roles include manage, edit, collaborate, creator, and guest.
Was this page helpful?
Previous

Retrieve Projects the user is a member of

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.